<script setup lang="ts">

import { useBillCostStore } from '@/stores/billcost';
import DialogAddBillCost from './DialogAddBillCost.vue'
import { onMounted, ref } from 'vue'

const billcostStore = useBillCostStore()
const headers = [
  // {
  //   key: 'id',
  //   sortable: false,
  //   title: 'BillCostId'
  // },
  { key: 'typebill', title: 'TypeBill', sortable: false, value: 'Typebill' },
  { key: 'user', title: 'User', sortable: false, value: 'User.fullName' },
  { key: 'date', title: 'Date', sortable: false, value: 'Date' },
  { key: 'time', title: 'Time', sortable: false, value: 'Time' },
  { key: 'billtotal', title: 'BillTotal (Baht)', sortable: false, value: 'Billtotal' },
  { key: 'branch', title: 'Branch', sortable: false, value: 'branch.id' },
  { key: 'actions', title: 'Actions', sortable: false }
]
const search = ref('')

onMounted(async () => {
  await billcostStore.getBillCosts()
})

</script>
<template>
  <v-data-table
    :headers="headers"
    :items="billcostStore.billCosts"
    :search="search"
    :items-per-page="8"
    style="background-color: #e7d0b9"
  >
    <template v-slot:top>
      <v-dialog v-model="billcostStore.dialogDelete" max-width="500px">
        <v-card>
          <v-card-title class="text-h5">Are you sure you want to delete this item?</v-card-title>
          <v-card-actions>
            <v-spacer></v-spacer>
            <v-btn color="blue-darken-1" variant="text" @click="billcostStore.closeDelete"
              >Cancel</v-btn
            >
            <v-btn color="blue-darken-1" variant="text" @click="billcostStore.deleteItemConfirm"
              >OK</v-btn
            >
            <v-spacer></v-spacer>
          </v-card-actions>
        </v-card>
      </v-dialog>
    </template>
    <template v-slot:[`item.actions`]="{ item }">
      <v-icon size="small" @click="billcostStore.deleteItem(item)"> mdi-delete </v-icon>
    </template>
  </v-data-table>
  <DialogAddBillCost></DialogAddBillCost>
</template>
<style>
tbody tr:nth-of-type(even) {
  background-color: #d2baa0;
}

tbody tr:nth-of-type(odd) {
  background-color: #e7d0b9;
}

thead {
  background-color: #bc9b6b;
  color: rgb(0, 0, 0);
  font-weight: bold;
}

.theme--light.v-data-table thead tr th {
  color: white;
}
</style>
